Unit tde21r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE21R_p, DE21R_p;

function tde21r: String;

implementation

function tde21r: String;
var
M,IORDER,JSTART,ISTIFJ,I,_i,IERR :Integer;
X,H,HMAX,HMIN,EPS :Real;
BUL :Boolean;
RAB :Array [0..67] of Real;
Y :Array [0..3] of Real;
DELTY :Array [0..3] of Real;
YPM :Array [0..3] of Real;
YP :Array [0..31] of Real;
label
_10;
begin
Result := '';  {   }
BUL := False;
M := 4;
X := 0.0;
H := 0.01;
Y[0] := 0.09411764706;
Y[1] := 0.0;
Y[2] := 0.0;
Y[3] := 4.5;
IORDER := 4;
JSTART := 0;
HMAX := 0.1;
HMIN := 1.E-18;
EPS := 1.E-5;
ISTIFJ := 0;
for I:=1 to M do
 begin
_10:
  YPM[I-1] := 1.0;
 end;
DE21R(FDE21R,M,ISTIFJ,IORDER,JSTART,HMIN,HMAX,EPS,Y,X,H,
     BUL,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format(' %20.16f  %20.16f ',[X,H]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  DELTY(1)']);
Result := Result + Format('%s',['          DELTY(2)']);
Result := Result + Format('%s',['          DELTY(3)']);
Result := Result + Format('%s',['          DELTY(4)' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[DELTY[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde21r',Result);  {     tde21r.res }
exit;
end;

end.
